f(x) = x^2 - 1
EPSILON = 10^-12

@interact
def miGraficaIntegral(a=slider(-2, 2, 0.05, -1.5), b=slider(-2, 2, 0.05, 1)):
    # esto se encarga de varios problemas que surgen cuando b < a,
    # o en otras palabras, cuando los límites están invertidos
    limite_izquierdo = min(a, b)
    limite_derecho = max(a, b)

    # el uso de EPSILON en la siguiente línea puede sorprender al
    # principio, pero está ahí porque el programa reacciona mal
    # cuando a=b
    P1 = plot(f, x, limite_izquierdo, limite_derecho+EPSILON, fill=True)
    P2 = plot(f, x, -2, 2, gridlines='minor', ymin=-2, ymax=3)
    P3 = text(r'$\int_a^b x^2-1\; dx$', (0, -1.75), fontsize=24)

    # esta flecha coloreada impide que el estudiante se confunda
    # cuando los límites están invertidos
    if a < b:
        P4 = arrow((-0.5, 0.99), (0.5, 1), color='green')
        P = P1 + P2 + P3 + P4
    elif b < a:
        P4 = arrow((0.5, 1), (-0.5, 0.99), color='red')
        P = P1 + P2 + P3 + P4
    else:
        # esto es para el caso a=b
        P = P1 + P2 + P3

    P.show()
    
    print('El valor final es aproximadamente', N(integral(f, x, a, b)))
