f(x) = x^3 - x
f_prima(x) = diff(f(x), x)

def tangente_en_punto(x_0):
    y_0 = f(x_0)
    m = f_prima(x_0)

    # Dado que y - y_0 = m(x - x_0), sabemos que
    # y - y_0 = m*x - m*x_0,
    # y = m*x + y_0 - m*x_0.
    # Por lo tanto, b = y_0 - m*x_0.
    b = y_0 - m * x_0

    P1 = plot(f(x), -2, 2, color='blue')
    P2 = plot(m*x + b, -2, 2, color='tan')
    P3 = point((x_0, y_0), color='red', size=100)

    P = P1 + P2 + P3
    P.show()

    print('x_0 =', x_0)
    print('y_0 = f(x_0) =', y_0)
    print("m = f'(x_0) =", m)
    print('Recta tangente: y = (', m, ') * x + (', b, ')')
    print()

tangente_en_punto(0.5)
tangente_en_punto(1.5)
tangente_en_punto(-1.75)
