f(x) = x^3 - x
f_prima(x) = diff(f(x), x)

@interact
def tangente_en_punto(x_0=slider(-2, 2, 0.1, -1.5, label='Coordenada $x$:')):
    y_0 = f(x_0)
    m = f_prima(x_0)

    # Dado que y - y_0 = m(x - x_0), sabemos que
    # y - y_0 = m*x - m*x_0,
    # y = m*x + y_0 - m*x_0.
    # Por lo tanto, b = y_0 - m*x_0.
    b = y_0 - m * x_0

    P1 = plot(f(x), -2, 2, color='blue', ymin=-6, ymax=6, gridlines='minor')
    P2 = plot(m*x + b, -2, 2, color='tan', ymin=-6, ymax=6)
    P3 = point((x_0, y_0), color='red', size=50)

    P = P1 + P2 + P3
    P.show()

    print('x_0 =', N(x_0,digits=4))
    print('y_0 = f(x_0) =', N(y_0,digits=4))
    print("m = f'(x_0) =", N(m,digits=4))
    print('Recta tangente: y = (', N(m,digits=4), ') * x + (', N(b,digits=4), ')')
